Create payment
POST/api/v1/pay/summary
Creates an incoming (type IN) or outcoming (type OUT) crypto payment.
Alternatively, it creates a crypto payment that is either sent via a Customer's wallet or deposited into it. For more information, see the Make Crypto Payments guide.
There are two flows depending on specifying payOutDetails:
-
If you add
PayOutDetailswith all its child parameters, the payment is successfully created and the funds are sent to the specified wallet, with no further actions needed. -
If not included in the request, in the response you receive
redirectUrl. This is a link to a page, where to you can redirect your Customer so they can finalize the payment.
Also you can route a payout through your customer's wallet by setting flow to EMBEDDED_CRYPTO and providing embeddedCustomerDetails. Funds are debited from your pre-funded partner wallet, converted to crypto at BVNK, then paid out via the customer's wallet. For more information, see Send stablecoin payments via customer's wallet.
To preview a payment without creating it, use the POST /api/v1/pay/summary/dry-run endpoint instead. It returns the full payment summary, including the exchange rate, fees, and converted amounts, without creating a payment or moving any funds.
Request
Responses
- 200
- 400
- 500
OK